> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model

> Retrieve details and metadata for a specific model.



## OpenAPI

````yaml get /v1/flow/models/info
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.87.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/models/info:
    get:
      tags:
        - Models
      summary: Get model
      description: Retrieve details and metadata for a specific model.
      operationId: ml_model_by_model_id_v1_flow_models_info_get
      parameters:
        - name: model_id
          in: query
          required: true
          schema:
            type: string
            title: Model Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMLModelInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    GetMLModelInfoResponse:
      properties:
        name:
          type: string
          title: Name
        size:
          type: integer
          title: Size
        model_type:
          anyOf:
            - $ref: '#/components/schemas/MLModelType'
            - type: 'null'
      type: object
      required:
        - name
        - size
        - model_type
      title: GetMLModelInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MLModelType:
      type: string
      enum:
        - Base
        - Instruct
        - Embedding
      title: MLModelType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Seekr API Key without 'Bearer' Prefix
      in: header
      name: Authorization

````